# vim: ft=make ts=4 sw=4 noet
.DEFAULT_GOAL := all

NAME    = apr-util
VERSION = 1.6.3
GARTYPE = v2

DESCRIPTION = Apache Portable Runtime utility library
define BLURB
  APR-util provides supplementary utilities for the Apache Portable Runtime
  (APR), including database interfaces, XML parsing, and LDAP support.
endef

MASTER_SITES = https://dlcdn.apache.org/apr/
DISTFILES   += $(DISTNAME).tar.gz

LICENSE = LICENSE

BUILD_DEP_PKGS                    += OZSWapr
RUNTIME_DEP_PKGS_OZSWaprutil += OZSWapr

PACKAGES                  += OZSWaprutil
SPKG_DESC_OZSWaprutil      = Apache Portable Runtime utility library
CATALOGNAME_OZSWaprutil   = apr_util

EXTENSIONS = 1

EXTRA_CONFIGURE_ARGS += --with-apr=$(prefix)

post-configure:
	@find $(WORKSRC) -name "libtool" -type f -exec \
	    gsed -i 's/ECHO="print -r --"/ECHO="printf %s\\n"/g' {} \;
	@$(MAKECOOKIE)

include gar/category.mk
